flutter 运行ios项目失败 'shared_preferences/SharedPreferencesPlugin.h' file not found

//大概错误如下

'shared_preferences/SharedPreferencesPlugin.h' file not found

#import <shared_preferences/SharedPreferencesPlugin.h>

解决方案,基本类似问题都能解决。

1 升级pod version 具体如下链接

https://blog.csdn.net/yaoliangjun306/article/details/77824136

2 pod --version 查看版本

3  将flutter 项目下ios/Podfile.lock的COCOAPODS版本修改为pod --version的版本

COCOAPODS: 1.5.2
4 启动ISO模拟器,运行命令 flutter clean然后flutter run
阅读更多
想对作者说点什么?

博主推荐

换一批

没有更多推荐了,返回首页